<template>
    <v-menu offset-y>
      <template v-slot:activator="{ props }">
        <div class="d-flex justify-end align-center">
          <v-switch
            @change="cambiarTema"
            inline
            color="white"
            dark="true"
            class="mt-5 mr-5"
            density="compact"
            v-model="modoOscuro"
            :prepend-icon="!modoOscuro ? 'mdi-brightness-2' : 'mdi-white-balance-sunny'"
          />
          <v-btn append-icon="mdi-chevron-down" dark v-bind="props">
            {{ 'Prueba' }}
          </v-btn>
        </div>
      </template>
      <v-list density="compact">
        <v-list-item>
          <v-list-item-title class="ml-2">
          <span>{{ 'Prueba' }}</span>
          </v-list-item-title>
          <v-list-item-subtitle class="ml-2">
          <span>Administrador</span>
          </v-list-item-subtitle>
          <template v-slot:prepend>
          <v-badge dot color="success" location="bottom end">
              <v-avatar>
              <v-img
                  class="mx-auto"
                  alt="Avatar"
                  src="https://avatars0.githubusercontent.com/u/9064066?v=4&s=460"
              ></v-img>
              </v-avatar>
          </v-badge>
          </template>
        </v-list-item>
        <v-divider class="mt-2"></v-divider>
        <v-list-item>
          <template v-slot:prepend>
            <v-icon>mdi-account</v-icon>
          </template>
          <v-list-item-title>
            <span>Perfil</span>
          </v-list-item-title>
        </v-list-item>
        <v-list-item>
          <template v-slot:prepend>
            <v-icon>mdi-shield</v-icon>
          </template>
          <v-list-item-title>
            <span>Seguridad</span>
          </v-list-item-title>
        </v-list-item>
        <v-list-item>
          <template v-slot:prepend>
            <v-icon>mdi-logout</v-icon>
          </template>
          <v-list-item-title>
            <span>Cerrar sesión</span>
          </v-list-item-title>
        </v-list-item>
      </v-list>
    </v-menu>
</template>
<script setup lang="ts">
  import { ref, onMounted } from 'vue'
  import { useTheme } from 'vuetify'
  import { useDashboardStore } from '../store/dashboard/index.js'

  const dashboard = useDashboardStore();

  const themes = useTheme();
  const modoOscuro = ref(false)

  const cambiarTema = () => {
    if (modoOscuro.value) {
      dashboard.guardarTema('dark')
      themes.global.name.value = 'dark'
    } else {
      dashboard.guardarTema('light')
      themes.global.name.value = 'light'
    }
  }

  onMounted(() => {
    // Obtenemos el tema guardado en el localStorage
    const temaActual = dashboard.obtenerTema()
    
    // Si el tema es dark, cambiamos el tema de la aplicación
    if (temaActual === 'dark') {
      themes.global.name.value = 'dark'
      modoOscuro.value = true
    }
  })

</script>

